org.eclipse.swt.accessibility

## Class ACC

- java.lang.Object
- - org.eclipse.swt.accessibility.ACC

    public class ACC
    extends java.lang.Object

Class ACC contains all the constants used in defining an Accessible object.

Since:
  1.4
See Also:
  Sample code and further information

### Field Summary

Fields
`static int` `CHILDID_CHILD_AT_INDEX` An AT is requesting the accessible child object at the specified index.
`static int` `CHILDID_CHILD_INDEX` An AT is requesting the index of this accessible in its parent.
`static int` `CHILDID_MULTIPLE`
`static int` `CHILDID_NONE`
`static int` `CHILDID_SELF`
`static int` `DELETE` A type constant specifying that deletion occurred.
`static int` `EVENT_ACTION_CHANGED` Send when the count or attributes of an accessible object's actions have changed.
`static int` `EVENT_ATTRIBUTE_CHANGED` Send when an object's attributes have changed.
`static int` `EVENT_DESCRIPTION_CHANGED` Send when an object's description has changed.
`static int` `EVENT_DOCUMENT_LOAD_COMPLETE` Send when the loading of a document has completed.
`static int` `EVENT_DOCUMENT_LOAD_STOPPED` Send when the loading of a document was interrupted.
`static int` `EVENT_DOCUMENT_RELOAD` Send when the document contents are being reloaded.
`static int` `EVENT_HYPERLINK_ACTIVATED` Send when the hyperlink has been activated.
`static int` `EVENT_HYPERLINK_ANCHOR_COUNT_CHANGED` Send when the number of anchors associated with this hyperlink object has changed.
`static int` `EVENT_HYPERLINK_END_INDEX_CHANGED` Send when the ending index of this link within the containing string has changed.
`static int` `EVENT_HYPERLINK_SELECTED_LINK_CHANGED` Send when the hyperlink selected state changed from selected to unselected or from unselected to selected.
`static int` `EVENT_HYPERLINK_START_INDEX_CHANGED` Send when the starting index of this link within the containing string has changed.
`static int` `EVENT_HYPERTEXT_LINK_COUNT_CHANGED` Send when the number of hyperlinks associated with a hypertext object has changed.
`static int` `EVENT_HYPERTEXT_LINK_SELECTED` Send when one of the links associated with the hypertext object has been selected.
`static int` `EVENT_LOCATION_CHANGED` Send when an object has moved.
`static int` `EVENT_NAME_CHANGED` Send when an object's name has changed.
`static int` `EVENT_PAGE_CHANGED` Send when a slide changed in a presentation document or a page boundary was crossed in a word processing document.
`static int` `EVENT_SECTION_CHANGED` Send when the caret moved from one section to the next.
`static int` `EVENT_SELECTION_CHANGED` Send when the selection within a container has changed.
`static int` `EVENT_STATE_CHANGED` Send when an object's state has changed, for example enabled/disabled, pressed/released, or checked/unchecked.
`static int` `EVENT_TABLE_CAPTION_CHANGED` Send when a table caption has changed.
`static int` `EVENT_TABLE_CHANGED` Send when a table's data has changed.
`static int` `EVENT_TABLE_COLUMN_DESCRIPTION_CHANGED` Send when a table's column description has changed.
`static int` `EVENT_TABLE_COLUMN_HEADER_CHANGED` Send when a table's column header has changed.
`static int` `EVENT_TABLE_ROW_DESCRIPTION_CHANGED` Send when a table's row description has changed.
`static int` `EVENT_TABLE_ROW_HEADER_CHANGED` Send when a table's row header has changed.
`static int` `EVENT_TABLE_SUMMARY_CHANGED` Send when a table's summary has changed.
`static int` `EVENT_TEXT_ATTRIBUTE_CHANGED` Send when a text object's attributes have changed.
`static int` `EVENT_TEXT_CARET_MOVED` Send when the caret has moved to a new position.
`static int` `EVENT_TEXT_CHANGED` Send when text was inserted or deleted.
`static int` `EVENT_TEXT_COLUMN_CHANGED` Send when the caret has moved from one column to the next.
`static int` `EVENT_TEXT_SELECTION_CHANGED` Send when an object's text selection has changed.
`static int` `EVENT_VALUE_CHANGED` Send when an object's value has changed.
`static int` `INSERT` A type constant specifying that insertion occurred.
`static java.lang.String` `OK` A constant specifying that an operation succeeded.
`static int` `RELATION_CONTROLLED_BY` Some attribute of this object is affected by a target object.
`static int` `RELATION_CONTROLLER_FOR` This object is interactive and controls some attribute of a target object.
`static int` `RELATION_DESCRIBED_BY` This object is described by the target object.
`static int` `RELATION_DESCRIPTION_FOR` This object is describes the target object.
`static int` `RELATION_EMBEDDED_BY` This object is embedded by a target object.
`static int` `RELATION_EMBEDS` This object embeds a target object.
`static int` `RELATION_FLOWS_FROM` Content flows to this object from a target object.
`static int` `RELATION_FLOWS_TO` Content flows from this object to a target object.
`static int` `RELATION_LABEL_FOR` This object is label for a target object.
`static int` `RELATION_LABELLED_BY` This object is labelled by a target object.
`static int` `RELATION_MEMBER_OF` This object is a member of a group of one or more objects.
`static int` `RELATION_NODE_CHILD_OF` This object is a child of a target object.
`static int` `RELATION_PARENT_WINDOW_OF` This object is a parent window of the target object.
`static int` `RELATION_POPUP_FOR` This object is a transient component related to the target object.
`static int` `RELATION_SUBWINDOW_OF` This object is a sub window of a target object.
`static int` `ROLE_ALERT`
`static int` `ROLE_ANIMATION`
`static int` `ROLE_CALENDAR`
`static int` `ROLE_CANVAS`
`static int` `ROLE_CHECKBUTTON`
`static int` `ROLE_CHECKMENUITEM`
`static int` `ROLE_CLIENT_AREA`
`static int` `ROLE_CLOCK`
`static int` `ROLE_COLUMN`
`static int` `ROLE_COMBOBOX`
`static int` `ROLE_DATETIME`
`static int` `ROLE_DIALOG`
`static int` `ROLE_DOCUMENT`
`static int` `ROLE_FOOTER`
`static int` `ROLE_FORM`
`static int` `ROLE_GRAPHIC`
`static int` `ROLE_GROUP`
`static int` `ROLE_HEADER`
`static int` `ROLE_HEADING`
`static int` `ROLE_LABEL`
`static int` `ROLE_LINK`
`static int` `ROLE_LIST`
`static int` `ROLE_LISTITEM`
`static int` `ROLE_MENU`
`static int` `ROLE_MENUBAR`
`static int` `ROLE_MENUITEM`
`static int` `ROLE_PAGE`
`static int` `ROLE_PARAGRAPH`
`static int` `ROLE_PROGRESSBAR`
`static int` `ROLE_PUSHBUTTON`
`static int` `ROLE_RADIOBUTTON`
`static int` `ROLE_RADIOMENUITEM`
`static int` `ROLE_ROW`
`static int` `ROLE_SCROLLBAR`
`static int` `ROLE_SECTION`
`static int` `ROLE_SEPARATOR`
`static int` `ROLE_SLIDER`
`static int` `ROLE_SPINBUTTON`
`static int` `ROLE_SPLITBUTTON`
`static int` `ROLE_STATUSBAR`
`static int` `ROLE_TABFOLDER`
`static int` `ROLE_TABITEM`
`static int` `ROLE_TABLE`
`static int` `ROLE_TABLECELL`
`static int` `ROLE_TABLECOLUMNHEADER`
`static int` `ROLE_TABLEROWHEADER`
`static int` `ROLE_TEXT`
`static int` `ROLE_TOOLBAR`
`static int` `ROLE_TOOLTIP`
`static int` `ROLE_TREE`
`static int` `ROLE_TREEITEM`
`static int` `ROLE_WINDOW`
`static int` `SCROLL_TYPE_ANYWHERE` Scroll the object or substring such that as much as possible of the object or substring is within the top level window.
`static int` `SCROLL_TYPE_BOTTOM_EDGE` Scroll the bottom edge of the object or substring such that the bottom edge (and as much as possible of the rest of the object or substring) is within the top level window.
`static int` `SCROLL_TYPE_BOTTOM_RIGHT` Scroll the bottom right corner of the object or substring such that the bottom right corner (and as much as possible of the rest of the object or substring) is within the top level window.
`static int` `SCROLL_TYPE_LEFT_EDGE` Scroll the left edge of the object or substring such that the left edge (and as much as possible of the rest of the object or substring) is within the top level window.
`static int` `SCROLL_TYPE_POINT` Scroll the top left corner of the object or substring to the specified point.
`static int` `SCROLL_TYPE_RIGHT_EDGE` Scroll the right edge of the object or substring such that the right edge (and as much as possible of the rest of the object or substring) is within the top level window.
`static int` `SCROLL_TYPE_TOP_EDGE` Scroll the top edge of the object or substring such that the top edge (and as much as possible of the rest of the object or substring) is within the top level window.
`static int` `SCROLL_TYPE_TOP_LEFT` Scroll the top left corner of the object or substring such that the top left corner (and as much as possible of the rest of the object or substring) is within the top level window.
`static int` `STATE_ACTIVE`
`static int` `STATE_BUSY`
`static int` `STATE_CHECKED`
`static int` `STATE_COLLAPSED`
`static int` `STATE_DISABLED`
`static int` `STATE_EXPANDED`
`static int` `STATE_FOCUSABLE`
`static int` `STATE_FOCUSED`
`static int` `STATE_HOTTRACKED`
`static int` `STATE_INVALID_ENTRY`
`static int` `STATE_INVISIBLE`
`static int` `STATE_LINKED`
`static int` `STATE_MULTILINE`
`static int` `STATE_MULTISELECTABLE`
`static int` `STATE_NORMAL`
`static int` `STATE_OFFSCREEN`
`static int` `STATE_PRESSED`
`static int` `STATE_READONLY`
`static int` `STATE_REQUIRED`
`static int` `STATE_SELECTABLE`
`static int` `STATE_SELECTED`
`static int` `STATE_SINGLELINE`
`static int` `STATE_SIZEABLE`
`static int` `STATE_SUPPORTS_AUTOCOMPLETION`
`static int` `TEXT_BOUNDARY_ALL` Using this value will cause all text to be returned.
`static int` `TEXT_BOUNDARY_CHAR` Typically, a single character is returned.
`static int` `TEXT_BOUNDARY_LINE` Range is from start of one line to the start of another line.
`static int` `TEXT_BOUNDARY_PARAGRAPH` Range is from start of one paragraph to the start of another paragraph.
`static int` `TEXT_BOUNDARY_SENTENCE` Range is from start of one sentence to the start of another sentence.
`static int` `TEXT_BOUNDARY_WORD` The range provided matches the range observed when the application processes the Ctrl + left arrow and Ctrl + right arrow key sequences.
`static int` `TEXT_DELETE`
`static int` `TEXT_INSERT`
`static int` `VISIBLE` A detail constant indicating visible accessible objects.

### Constructor Summary

Constructors
Constructor and Description
`ACC()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STATE_NORMAL

    public static final int STATE_NORMAL

See Also:
  Constant Field Values

#### STATE_SELECTED

    public static final int STATE_SELECTED

See Also:
  Constant Field Values

#### STATE_SELECTABLE

    public static final int STATE_SELECTABLE

See Also:
  Constant Field Values

#### STATE_MULTISELECTABLE

    public static final int STATE_MULTISELECTABLE

See Also:
  Constant Field Values

#### STATE_FOCUSED

    public static final int STATE_FOCUSED

See Also:
  Constant Field Values

#### STATE_FOCUSABLE

    public static final int STATE_FOCUSABLE

See Also:
  Constant Field Values

#### STATE_PRESSED

    public static final int STATE_PRESSED

See Also:
  Constant Field Values

#### STATE_CHECKED

    public static final int STATE_CHECKED

See Also:
  Constant Field Values

#### STATE_EXPANDED

    public static final int STATE_EXPANDED

See Also:
  Constant Field Values

#### STATE_COLLAPSED

    public static final int STATE_COLLAPSED

See Also:
  Constant Field Values

#### STATE_HOTTRACKED

    public static final int STATE_HOTTRACKED

See Also:
  Constant Field Values

#### STATE_BUSY

    public static final int STATE_BUSY

See Also:
  Constant Field Values

#### STATE_READONLY

    public static final int STATE_READONLY

See Also:
  Constant Field Values

#### STATE_INVISIBLE

    public static final int STATE_INVISIBLE

See Also:
  Constant Field Values

#### STATE_OFFSCREEN

    public static final int STATE_OFFSCREEN

See Also:
  Constant Field Values

#### STATE_SIZEABLE

    public static final int STATE_SIZEABLE

See Also:
  Constant Field Values

#### STATE_LINKED

    public static final int STATE_LINKED

See Also:
  Constant Field Values

#### STATE_DISABLED

    public static final int STATE_DISABLED

See Also:
  Constant Field Values

#### STATE_ACTIVE

    public static final int STATE_ACTIVE

See Also:
  Constant Field Values

#### STATE_SINGLELINE

    public static final int STATE_SINGLELINE

See Also:
  Constant Field Values

#### STATE_MULTILINE

    public static final int STATE_MULTILINE

See Also:
  Constant Field Values

#### STATE_REQUIRED

    public static final int STATE_REQUIRED

See Also:
  Constant Field Values

#### STATE_INVALID_ENTRY

    public static final int STATE_INVALID_ENTRY

See Also:
  Constant Field Values

#### STATE_SUPPORTS_AUTOCOMPLETION

    public static final int STATE_SUPPORTS_AUTOCOMPLETION

See Also:
  Constant Field Values

#### ROLE_CLIENT_AREA

    public static final int ROLE_CLIENT_AREA

See Also:
  Constant Field Values

#### ROLE_WINDOW

    public static final int ROLE_WINDOW

See Also:
  Constant Field Values

#### ROLE_MENUBAR

    public static final int ROLE_MENUBAR

See Also:
  Constant Field Values

#### ROLE_MENU

    public static final int ROLE_MENU

See Also:
  Constant Field Values

#### ROLE_MENUITEM

    public static final int ROLE_MENUITEM

See Also:
  Constant Field Values

#### ROLE_SEPARATOR

    public static final int ROLE_SEPARATOR

See Also:
  Constant Field Values

#### ROLE_TOOLTIP

    public static final int ROLE_TOOLTIP

See Also:
  Constant Field Values

#### ROLE_SCROLLBAR

    public static final int ROLE_SCROLLBAR

See Also:
  Constant Field Values

#### ROLE_DIALOG

    public static final int ROLE_DIALOG

See Also:
  Constant Field Values

#### ROLE_LABEL

    public static final int ROLE_LABEL

See Also:
  Constant Field Values

#### ROLE_PUSHBUTTON

    public static final int ROLE_PUSHBUTTON

See Also:
  Constant Field Values

#### ROLE_CHECKBUTTON

    public static final int ROLE_CHECKBUTTON

See Also:
  Constant Field Values

#### ROLE_RADIOBUTTON

    public static final int ROLE_RADIOBUTTON

See Also:
  Constant Field Values

#### ROLE_SPLITBUTTON

    public static final int ROLE_SPLITBUTTON

See Also:
  Constant Field Values

#### ROLE_COMBOBOX

    public static final int ROLE_COMBOBOX

See Also:
  Constant Field Values

#### ROLE_TEXT

    public static final int ROLE_TEXT

See Also:
  Constant Field Values

#### ROLE_TOOLBAR

    public static final int ROLE_TOOLBAR

See Also:
  Constant Field Values

#### ROLE_LIST

    public static final int ROLE_LIST

See Also:
  Constant Field Values

#### ROLE_LISTITEM

    public static final int ROLE_LISTITEM

See Also:
  Constant Field Values

#### ROLE_TABLE

    public static final int ROLE_TABLE

See Also:
  Constant Field Values

#### ROLE_TABLECELL

    public static final int ROLE_TABLECELL

See Also:
  Constant Field Values

#### ROLE_TABLECOLUMNHEADER

    public static final int ROLE_TABLECOLUMNHEADER

See Also:
  Constant Field Values

#### ROLE_TABLEROWHEADER

    public static final int ROLE_TABLEROWHEADER

See Also:
  Constant Field Values

#### ROLE_TREE

    public static final int ROLE_TREE

See Also:
  Constant Field Values

#### ROLE_TREEITEM

    public static final int ROLE_TREEITEM

See Also:
  Constant Field Values

#### ROLE_TABFOLDER

    public static final int ROLE_TABFOLDER

See Also:
  Constant Field Values

#### ROLE_TABITEM

    public static final int ROLE_TABITEM

See Also:
  Constant Field Values

#### ROLE_PROGRESSBAR

    public static final int ROLE_PROGRESSBAR

See Also:
  Constant Field Values

#### ROLE_SLIDER

    public static final int ROLE_SLIDER

See Also:
  Constant Field Values

#### ROLE_LINK

    public static final int ROLE_LINK

See Also:
  Constant Field Values

#### ROLE_ALERT

    public static final int ROLE_ALERT

See Also:
  Constant Field Values

#### ROLE_ANIMATION

    public static final int ROLE_ANIMATION

See Also:
  Constant Field Values

#### ROLE_CANVAS

    public static final int ROLE_CANVAS

See Also:
  Constant Field Values

#### ROLE_COLUMN

    public static final int ROLE_COLUMN

See Also:
  Constant Field Values

#### ROLE_DOCUMENT

    public static final int ROLE_DOCUMENT

See Also:
  Constant Field Values

#### ROLE_GRAPHIC

    public static final int ROLE_GRAPHIC

See Also:
  Constant Field Values

#### ROLE_GROUP

    public static final int ROLE_GROUP

See Also:
  Constant Field Values

#### ROLE_ROW

    public static final int ROLE_ROW

See Also:
  Constant Field Values

#### ROLE_SPINBUTTON

    public static final int ROLE_SPINBUTTON

See Also:
  Constant Field Values

#### ROLE_STATUSBAR

    public static final int ROLE_STATUSBAR

See Also:
  Constant Field Values

#### ROLE_CHECKMENUITEM

    public static final int ROLE_CHECKMENUITEM

See Also:
  Constant Field Values

#### ROLE_RADIOMENUITEM

    public static final int ROLE_RADIOMENUITEM

See Also:
  Constant Field Values

#### ROLE_CLOCK

    public static final int ROLE_CLOCK

See Also:
  Constant Field Values

#### ROLE_CALENDAR

    public static final int ROLE_CALENDAR

See Also:
  Constant Field Values

#### ROLE_DATETIME

    public static final int ROLE_DATETIME

See Also:
  Constant Field Values

#### ROLE_FOOTER

    public static final int ROLE_FOOTER

See Also:
  Constant Field Values

#### ROLE_FORM

    public static final int ROLE_FORM

See Also:
  Constant Field Values

#### ROLE_HEADER

    public static final int ROLE_HEADER

See Also:
  Constant Field Values

#### ROLE_HEADING

    public static final int ROLE_HEADING

See Also:
  Constant Field Values

#### ROLE_PAGE

    public static final int ROLE_PAGE

See Also:
  Constant Field Values

#### ROLE_PARAGRAPH

    public static final int ROLE_PARAGRAPH

See Also:
  Constant Field Values

#### ROLE_SECTION

    public static final int ROLE_SECTION

See Also:
  Constant Field Values

#### CHILDID_SELF

    public static final int CHILDID_SELF

See Also:
  Constant Field Values

#### CHILDID_NONE

    public static final int CHILDID_NONE

See Also:
  Constant Field Values

#### CHILDID_MULTIPLE

    public static final int CHILDID_MULTIPLE

See Also:
  Constant Field Values

#### CHILDID_CHILD_AT_INDEX

    public static final int CHILDID_CHILD_AT_INDEX

An AT is requesting the accessible child object at the specified index.

See Also:
  `AccessibleControlListener.getChild(org.eclipse.swt.accessibility.AccessibleControlEvent)`, Constant Field Values

#### CHILDID_CHILD_INDEX

    public static final int CHILDID_CHILD_INDEX

An AT is requesting the index of this accessible in its parent.

See Also:
  `AccessibleControlListener.getChild(org.eclipse.swt.accessibility.AccessibleControlEvent)`, Constant Field Values

#### VISIBLE

    public static final int VISIBLE

A detail constant indicating visible accessible objects.

See Also:
  Constant Field Values

#### INSERT

    public static final int INSERT

A type constant specifying that insertion occurred.

See Also:
  Constant Field Values

#### DELETE

    public static final int DELETE

A type constant specifying that deletion occurred.

See Also:
  Constant Field Values

#### TEXT_INSERT

    public static final int TEXT_INSERT

See Also:
  Constant Field Values

#### TEXT_DELETE

    public static final int TEXT_DELETE

See Also:
  Constant Field Values

#### OK

    public static final java.lang.String OK

A constant specifying that an operation succeeded.

See Also:
  Constant Field Values

#### TEXT_BOUNDARY_CHAR

    public static final int TEXT_BOUNDARY_CHAR

Typically, a single character is returned. In some cases more than one character is returned, for example, when a document contains field data such as a field containing a date, time, or footnote reference. In this case the caret can move over several characters in one movement of the caret. Note that after the caret moves, the caret offset changes by the number of characters in the field, e.g. by 8 characters in the following date: 03/26/07.

See Also:
  Constant Field Values

#### TEXT_BOUNDARY_WORD

    public static final int TEXT_BOUNDARY_WORD

The range provided matches the range observed when the application processes the Ctrl + left arrow and Ctrl + right arrow key sequences. Typically this is from the start of one word to the start of the next, but various applications are inconsistent in the handling of the end of a line.

See Also:
  Constant Field Values

#### TEXT_BOUNDARY_SENTENCE

    public static final int TEXT_BOUNDARY_SENTENCE

Range is from start of one sentence to the start of another sentence.

See Also:
  Constant Field Values

#### TEXT_BOUNDARY_PARAGRAPH

    public static final int TEXT_BOUNDARY_PARAGRAPH

Range is from start of one paragraph to the start of another paragraph.

See Also:
  Constant Field Values

#### TEXT_BOUNDARY_LINE

    public static final int TEXT_BOUNDARY_LINE

Range is from start of one line to the start of another line. This often means that an end-of-line character will appear at the end of the range. However in the case of some applications an end-of-line character indicates the end of a paragraph and the lines composing the paragraph, other than the last line, do not contain an end of line character.

See Also:
  Constant Field Values

#### TEXT_BOUNDARY_ALL

    public static final int TEXT_BOUNDARY_ALL

Using this value will cause all text to be returned.

See Also:
  Constant Field Values

#### SCROLL_TYPE_TOP_LEFT

    public static final int SCROLL_TYPE_TOP_LEFT

Scroll the top left corner of the object or substring such that the top left corner (and as much as possible of the rest of the object or substring) is within the top level window. In cases where the entire object or substring fits within the top level window, the placement of the object or substring is dependent on the application. For example, the object or substring may be scrolled to the closest edge, the furthest edge, or midway between those two edges. In cases where there is a hierarchy of nested scrollable controls, more than one control may have to be scrolled.

See Also:
  Constant Field Values

#### SCROLL_TYPE_BOTTOM_RIGHT

    public static final int SCROLL_TYPE_BOTTOM_RIGHT

Scroll the bottom right corner of the object or substring such that the bottom right corner (and as much as possible of the rest of the object or substring) is within the top level window. In cases where the entire object or substring fits within the top level window, the placement of the object or substring is dependent on the application. For example, the object or substring may be scrolled to the closest edge, the furthest edge, or midway between those two edges. In cases where there is a hierarchy of nested scrollable controls, more than one control may have to be scrolled.

See Also:
  Constant Field Values

#### SCROLL_TYPE_TOP_EDGE

    public static final int SCROLL_TYPE_TOP_EDGE

Scroll the top edge of the object or substring such that the top edge (and as much as possible of the rest of the object or substring) is within the top level window. In cases where the entire object or substring fits within the top level window, the placement of the object or substring is dependent on the application. For example, the object or substring may be scrolled to the closest edge, the furthest edge, or midway between those two edges. In cases where there is a hierarchy of nested scrollable controls, more than one control may have to be scrolled.

See Also:
  Constant Field Values

#### SCROLL_TYPE_BOTTOM_EDGE

    public static final int SCROLL_TYPE_BOTTOM_EDGE

Scroll the bottom edge of the object or substring such that the bottom edge (and as much as possible of the rest of the object or substring) is within the top level window. In cases where the entire object or substring fits within the top level window, the placement of the object or substring is dependent on the application. For example, the object or substring may be scrolled to the closest edge, the furthest edge, or midway between those two edges. In cases where there is a hierarchy of nested scrollable controls, more than one control may have to be scrolled.

See Also:
  Constant Field Values

#### SCROLL_TYPE_LEFT_EDGE

    public static final int SCROLL_TYPE_LEFT_EDGE

Scroll the left edge of the object or substring such that the left edge (and as much as possible of the rest of the object or substring) is within the top level window. In cases where the entire object or substring fits within the top level window, the placement of the object or substring is dependent on the application. For example, the object or substring may be scrolled to the closest edge, the furthest edge, or midway between those two edges. In cases where there is a hierarchy of nested scrollable controls, more than one control may have to be scrolled.

See Also:
  Constant Field Values

#### SCROLL_TYPE_RIGHT_EDGE

    public static final int SCROLL_TYPE_RIGHT_EDGE

Scroll the right edge of the object or substring such that the right edge (and as much as possible of the rest of the object or substring) is within the top level window. In cases where the entire object or substring fits within the top level window, the placement of the object or substring is dependent on the application. For example, the object or substring may be scrolled to the closest edge, the furthest edge, or midway between those two edges. In cases where there is a hierarchy of nested scrollable controls, more than one control may have to be scrolled.

See Also:
  Constant Field Values

#### SCROLL_TYPE_ANYWHERE

    public static final int SCROLL_TYPE_ANYWHERE

Scroll the object or substring such that as much as possible of the object or substring is within the top level window. The placement of the object is dependent on the application. For example, the object or substring may be scrolled to to closest edge, the furthest edge, or midway between those two edges.

See Also:
  Constant Field Values

#### SCROLL_TYPE_POINT

    public static final int SCROLL_TYPE_POINT

Scroll the top left corner of the object or substring to the specified point.

See Also:
  Constant Field Values

#### EVENT_SELECTION_CHANGED

    public static final int EVENT_SELECTION_CHANGED

Send when the selection within a container has changed.

See Also:
  Constant Field Values

#### EVENT_TEXT_SELECTION_CHANGED

    public static final int EVENT_TEXT_SELECTION_CHANGED

Send when an object's text selection has changed.

See Also:
  Constant Field Values

#### EVENT_STATE_CHANGED

    public static final int EVENT_STATE_CHANGED

Send when an object's state has changed, for example enabled/disabled, pressed/released, or checked/unchecked.

The eventData object is an array of 2 ints specifying the following:

- state - the STATE_* constant identifying the state that changed
- newValue - either 1 or 0, indicating whether the state has changed to true or false

See Also:
  Constant Field Values

#### EVENT_LOCATION_CHANGED

    public static final int EVENT_LOCATION_CHANGED

Send when an object has moved.

Note: only send one notification for the topmost object that has changed.

See Also:
  Constant Field Values

#### EVENT_NAME_CHANGED

    public static final int EVENT_NAME_CHANGED

Send when an object's name has changed.

See Also:
  Constant Field Values

#### EVENT_DESCRIPTION_CHANGED

    public static final int EVENT_DESCRIPTION_CHANGED

Send when an object's description has changed.

See Also:
  Constant Field Values

#### EVENT_VALUE_CHANGED

    public static final int EVENT_VALUE_CHANGED

Send when an object's value has changed.

The eventData object is an array of 2 Numbers specifying the following:

- oldValue - the object's old value
- newValue - the object's new value

See Also:
  Constant Field Values

#### EVENT_DOCUMENT_LOAD_COMPLETE

    public static final int EVENT_DOCUMENT_LOAD_COMPLETE

Send when the loading of a document has completed.

See Also:
  Constant Field Values

#### EVENT_DOCUMENT_LOAD_STOPPED

    public static final int EVENT_DOCUMENT_LOAD_STOPPED

Send when the loading of a document was interrupted.

See Also:
  Constant Field Values

#### EVENT_DOCUMENT_RELOAD

    public static final int EVENT_DOCUMENT_RELOAD

Send when the document contents are being reloaded.

See Also:
  Constant Field Values

#### EVENT_PAGE_CHANGED

    public static final int EVENT_PAGE_CHANGED

Send when a slide changed in a presentation document or a page boundary was crossed in a word processing document.

See Also:
  Constant Field Values

#### EVENT_SECTION_CHANGED

    public static final int EVENT_SECTION_CHANGED

Send when the caret moved from one section to the next.

See Also:
  Constant Field Values

#### EVENT_ACTION_CHANGED

    public static final int EVENT_ACTION_CHANGED

Send when the count or attributes of an accessible object's actions have changed.

See Also:
  Constant Field Values

#### EVENT_HYPERLINK_START_INDEX_CHANGED

    public static final int EVENT_HYPERLINK_START_INDEX_CHANGED

Send when the starting index of this link within the containing string has changed.

See Also:
  Constant Field Values

#### EVENT_HYPERLINK_END_INDEX_CHANGED

    public static final int EVENT_HYPERLINK_END_INDEX_CHANGED

Send when the ending index of this link within the containing string has changed.

See Also:
  Constant Field Values

#### EVENT_HYPERLINK_ANCHOR_COUNT_CHANGED

    public static final int EVENT_HYPERLINK_ANCHOR_COUNT_CHANGED

Send when the number of anchors associated with this hyperlink object has changed.

See Also:
  Constant Field Values

#### EVENT_HYPERLINK_SELECTED_LINK_CHANGED

    public static final int EVENT_HYPERLINK_SELECTED_LINK_CHANGED

Send when the hyperlink selected state changed from selected to unselected or from unselected to selected.

See Also:
  Constant Field Values

#### EVENT_HYPERLINK_ACTIVATED

    public static final int EVENT_HYPERLINK_ACTIVATED

Send when the hyperlink has been activated.

See Also:
  Constant Field Values

#### EVENT_HYPERTEXT_LINK_SELECTED

    public static final int EVENT_HYPERTEXT_LINK_SELECTED

Send when one of the links associated with the hypertext object has been selected.

The eventData object is an Integer that represents the index of the selected link in the hypertext object.

See Also:
  Constant Field Values

#### EVENT_HYPERTEXT_LINK_COUNT_CHANGED

    public static final int EVENT_HYPERTEXT_LINK_COUNT_CHANGED

Send when the number of hyperlinks associated with a hypertext object has changed.

See Also:
  Constant Field Values

#### EVENT_ATTRIBUTE_CHANGED

    public static final int EVENT_ATTRIBUTE_CHANGED

Send when an object's attributes have changed.

See Also:
  `EVENT_TEXT_ATTRIBUTE_CHANGED`, Constant Field Values

#### EVENT_TABLE_CAPTION_CHANGED

    public static final int EVENT_TABLE_CAPTION_CHANGED

Send when a table caption has changed.

See Also:
  Constant Field Values

#### EVENT_TABLE_COLUMN_DESCRIPTION_CHANGED

    public static final int EVENT_TABLE_COLUMN_DESCRIPTION_CHANGED

Send when a table's column description has changed.

See Also:
  Constant Field Values

#### EVENT_TABLE_COLUMN_HEADER_CHANGED

    public static final int EVENT_TABLE_COLUMN_HEADER_CHANGED

Send when a table's column header has changed.

See Also:
  Constant Field Values

#### EVENT_TABLE_CHANGED

    public static final int EVENT_TABLE_CHANGED

Send when a table's data has changed.

The eventData object is an array of 5 ints specifying the following:

- type - `INSERT` or `DELETE` - the type of change
- rowStart - the index of the first row that changed
- rowCount - the number of contiguous rows that changed, or 0 if no rows changed
- columnStart - the index of the first column that changed
- columnCount - the number of contiguous columns that changed, or 0 if no columns changed

See Also:
  Constant Field Values

#### EVENT_TABLE_ROW_DESCRIPTION_CHANGED

    public static final int EVENT_TABLE_ROW_DESCRIPTION_CHANGED

Send when a table's row description has changed.

See Also:
  Constant Field Values

#### EVENT_TABLE_ROW_HEADER_CHANGED

    public static final int EVENT_TABLE_ROW_HEADER_CHANGED

Send when a table's row header has changed.

See Also:
  Constant Field Values

#### EVENT_TABLE_SUMMARY_CHANGED

    public static final int EVENT_TABLE_SUMMARY_CHANGED

Send when a table's summary has changed.

See Also:
  Constant Field Values

#### EVENT_TEXT_ATTRIBUTE_CHANGED

    public static final int EVENT_TEXT_ATTRIBUTE_CHANGED

Send when a text object's attributes have changed.

See Also:
  `EVENT_ATTRIBUTE_CHANGED`, Constant Field Values

#### EVENT_TEXT_CARET_MOVED

    public static final int EVENT_TEXT_CARET_MOVED

Send when the caret has moved to a new position.

See Also:
  Constant Field Values

#### EVENT_TEXT_COLUMN_CHANGED

    public static final int EVENT_TEXT_COLUMN_CHANGED

Send when the caret has moved from one column to the next.

See Also:
  Constant Field Values

#### EVENT_TEXT_CHANGED

    public static final int EVENT_TEXT_CHANGED

Send when text was inserted or deleted.

The eventData object is an array of 4 objects specifying the following:

- type - `INSERT` or `DELETE` - the type of change
- start - the index of the first character that changed
- end - the index of the last character that changed
- text - the text string that was inserted or deleted

See Also:
  Constant Field Values

#### RELATION_CONTROLLED_BY

    public static final int RELATION_CONTROLLED_BY

Some attribute of this object is affected by a target object.

See Also:
  Constant Field Values

#### RELATION_CONTROLLER_FOR

    public static final int RELATION_CONTROLLER_FOR

This object is interactive and controls some attribute of a target object.

See Also:
  Constant Field Values

#### RELATION_DESCRIBED_BY

    public static final int RELATION_DESCRIBED_BY

This object is described by the target object.

See Also:
  Constant Field Values

#### RELATION_DESCRIPTION_FOR

    public static final int RELATION_DESCRIPTION_FOR

This object is describes the target object.

See Also:
  Constant Field Values

#### RELATION_EMBEDDED_BY

    public static final int RELATION_EMBEDDED_BY

This object is embedded by a target object.

See Also:
  Constant Field Values

#### RELATION_EMBEDS

    public static final int RELATION_EMBEDS

This object embeds a target object. This relation can be used on a control's accessible to show where the content areas are.

See Also:
  Constant Field Values

#### RELATION_FLOWS_FROM

    public static final int RELATION_FLOWS_FROM

Content flows to this object from a target object. This relation and RELATION_FLOWS_TO are useful to tie text and non-text objects together in order to allow assistive technology to follow the intended reading order.

See Also:
  Constant Field Values

#### RELATION_FLOWS_TO

    public static final int RELATION_FLOWS_TO

Content flows from this object to a target object.

See Also:
  Constant Field Values

#### RELATION_LABEL_FOR

    public static final int RELATION_LABEL_FOR

This object is label for a target object.

See Also:
  Constant Field Values

#### RELATION_LABELLED_BY

    public static final int RELATION_LABELLED_BY

This object is labelled by a target object.

See Also:
  Constant Field Values

#### RELATION_MEMBER_OF

    public static final int RELATION_MEMBER_OF

This object is a member of a group of one or more objects. When there is more than one object in the group each member may have one and the same target, e.g. a grouping object. It is also possible that each member has multiple additional targets, e.g. one for every other member in the group.

See Also:
  Constant Field Values

#### RELATION_NODE_CHILD_OF

    public static final int RELATION_NODE_CHILD_OF

This object is a child of a target object.

See Also:
  Constant Field Values

#### RELATION_PARENT_WINDOW_OF

    public static final int RELATION_PARENT_WINDOW_OF

This object is a parent window of the target object.

See Also:
  Constant Field Values

#### RELATION_POPUP_FOR

    public static final int RELATION_POPUP_FOR

This object is a transient component related to the target object. When this object is activated the target object doesn't lose focus.

See Also:
  Constant Field Values

#### RELATION_SUBWINDOW_OF

    public static final int RELATION_SUBWINDOW_OF

This object is a sub window of a target object.

See Also:
  Constant Field Values

### Constructor Detail

#### ACC

    public ACC()

Copyright (c) EclipseSource and others 2002, 2019. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0